Subject: Re: bug#32159: 26.1; inhibit-compacting-font-caches does not fix all fonts lagging issue

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 Jul 2018 05:38:26 +0300

> From: Moses <[email-masked]>
> Date: Tue, 17 Jul 2018 09:38:20 +0800
> Cc: [email-masked]
> 
> On Mon, Jul 16, 2018 at 11:34 AM Eli Zaretskii <[email-masked]> wrote:
> > > Nope...all characters in the HELLO file can be display correctly
> > > without a problem, the lagging issue only appears while opening the
> > > file. Once it already opened, there is no more slowdown.
> >
> > Okay, then what's your real-life use case?  I doubt you need
> > to display HELLO very often, that was just an example, right?
> 
> Well, in my real-life case it is a little complicated. I often editing
> files other than English, besides that, I use Emacs doing a lot of
> things, such as Gnus to read news and Twitter-mode to read tweets.
> Please assume all these jobs involve multiple languages. So if one
> content makes Emacs slow down, then it seriously affects my daily
> Emacs usage.

I can only suggest customizing your fontset in the way I show in my
previous message.

> > That's why they don't slow down: their job is easier.
> 
> At least some optimize can be done, isn't it?

What optimizations did you have in mind?